// Created on: 2012-04-10
// Created by: Kirill GAVRILOV
// Copyright (c) 2012-2014 OPEN CASCADE SAS
//
// This file is part of Open CASCADE Technology software library.
//
// This library is free software; you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License version 2.1 as published
// by the Free Software Foundation, with special exception defined in the file
// OCCT_LGPL_EXCEPTION.txt. Consult the file LICENSE_LGPL_21.txt included in OCCT
// distribution for complete text of the license and disclaimer of any warranty.
//
// Alternatively, this file may be used under the terms of Open CASCADE
// commercial license or contractual agreement.

#ifndef _OpenGl_ArbIns_H__
#define _OpenGl_ArbIns_H__

#include <OpenGl_GlFunctions.hxx>

//! Instancing is available on OpenGL 3.0+ hardware
//! (in core since OpenGL 3.1 or GL_ARB_draw_instanced extension).
//!
//! Note that this structure does not include glVertexAttribDivisor(),
//! which has been introduced in later OpenGL versions (OpenGL 3.3 or OpenGL ES 3.0).
struct OpenGl_ArbIns : protected OpenGl_GlFunctions
{
  using OpenGl_GlFunctions::glDrawArraysInstanced;
  using OpenGl_GlFunctions::glDrawElementsInstanced;
};

#endif // _OpenGl_ArbIns_H__
